<?php
if (WPLANG != '')
{
	load_theme_textdomain('4null4.de');
}

$current = '1.0.1'; // dated 08.03.2006

// quick'n'dirty hack to circumvent a security hole in all WP versions prior to 2.0.1
// that'd otherwise allow a SQL injection attack
function cleanup_useragent($input)
{
	if (preg_match('/(INSERT|DELETE|UNION|UPDATE|DROP|SELECT|EMPTY)/i',$input, $matches))
	{
		return 'SANITIZED_UA: '.$matches[1];
	} else {
		return $input;
	}
}
add_filter('pre_comment_user_agent', 'cleanup_useragent');

// =====================================================
// BEGIN ENFORCE BLOG HOMEPAGE URL STRUCTURE
// =====================================================
// The following section was initially written by Mark Jaquith as a small plugin
// named Enforce <code>www.</code> Preference.
// The plugin can be found at http://txfx.net/code/wordpress/enforce-www-preference/
// It provides 301 redirects to queries with <strong>/index.php</strong> and enforces
// your use or non-use of <strong>www.</strong> as you have configured it in the
// general options of the admin panel.

if ( $_SERVER['REQUEST_URI'] == str_replace('http://' . $_SERVER['HTTP_HOST'], '', get_bloginfo('home')) . '/index.php' ) {
	header('HTTP/1.1 301 Moved Permanently');
	header('Location: ' . get_bloginfo('home') . '/');
	exit();
}

if ( strpos($_SERVER['HTTP_HOST'], 'www.') === 0  && strpos(get_bloginfo('home'), 'http://www.') === false ) {
	header('HTTP/1.1 301 Moved Permanently');
	header('Location: http://' . substr($_SERVER['HTTP_HOST'], 4) . $_SERVER['REQUEST_URI']);
	exit();
} elseif ( strpos($_SERVER['HTTP_HOST'], 'www.') !== 0 && strpos(get_bloginfo('home'), 'http://www.') === 0 ) {
	header('HTTP/1.1 301 Moved Permanently');
	header('Location: http://www.' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);
	exit();
}

// =====================================================
// END ENFORCE BLOG HOMEPAGE URL STRUCTURE
// =====================================================
// BEGIN AJAX PAGED COMMENTS FANCYURL SETUP
// =====================================================

if (get_option('bb_paged_comments_fancyurl') == 0) {
    add_action('init', 'bb_pc_fancyurl');
}

// check for URL segment identifying the comment page number (or a request for all comments).
// note the page number and strip the segment from REQUEST_URI ready for WP to do its
// own parsing. url_to_postid() is used to prevent false positives (cases where a post/page
// happens to have a slug identical to one of the plugin's comment page identifiers).
// Function taken originally from keyvan's paged comments plugin
function bb_pc_fancyurl()
{
    $req = rtrim($_SERVER['REQUEST_URI'], '/');
    if (preg_match('!^(.+/)comment-page-([0-9]+)$!', $req, $match) && (url_to_postid($req) == 0)) {
        $_GET['cp'] = $match[2];
        $req = $match[1];
        $_SERVER['REQUEST_URI'] = $req;
    } elseif (preg_match('!^(.+/)all-comments$!', $req, $match) && (url_to_postid($req) == 0)) {
        $_GET['cp'] = 'all';
        $req = $match[1];
        $_SERVER['REQUEST_URI'] = $req;
    }
}

// =====================================================
// END AJAX PAGED COMMENTS FANCYURL SETUP
// =====================================================
// BEGIN COMMENT QUICKTAGS SUPPORT
// =====================================================

if (defined('ABSPATH') && !function_exists('comment_quicktags'))
{
	function comment_quicktags($unused)
	{
		if (file_exists(ABSPATH . 'wp-includes/js/quicktags.js'))
			$scripturl = get_settings('home') . '/wp-includes/js/quicktags.js';
		else
			$scripturl = get_settings('home') . '/wp-admin/quicktags.js';
		echo '<script src="' . $scripturl . '" type="text/javascript"></script>';
		ob_start('comment_quicktags_ob');
	}

	function comment_quicktags_ob($content)
	{
		$toolbar = '<script type="text/javascript">edToolbar();</script>';
		$activate = '<script type="text/javascript">var edCanvas = document.getElementById(\'\\2\');</script>';
		$content = preg_replace('/<textarea(.*?)id="([^"]*)"(.*?)>(.*?)<\/textarea>/', $toolbar . '<textarea\\1id="\\2"\\3>\\4</textarea>'.$activate, $content);
		return $content;
	}
	add_action('wp_head', 'comment_quicktags');
}
// =====================================================
// END COMMENT QUICKTAGS SUPPORT
// =====================================================
// BEGIN LIGHTBOX JS PLUGIN
// =====================================================

if (!function_exists('wp_lightboxJS'))
{
	function wp_lightboxJS() {
		$wp_lightboxJS_url = get_bloginfo('wpurl') . "/";

		$htmlCode = '<link rel="stylesheet" type="text/css" media="screen" href="'
		. get_bloginfo('template_url').'/lightbox.css" />'
		. "<script type=\"text/javascript\" src=\""
		. get_bloginfo('template_url').'/js/lightbox.js"></script>';

		echo $htmlCode;
	}

	function wp_lightboxJS_add_quicktag()
	{
		if (strpos($_SERVER['REQUEST_URI'], 'post.php') || strpos($_SERVER['REQUEST_URI'], 'page-new.php'))
		{
	?>
			<script type="text/javascript">
			<!--
				var toolbar = document.getElementById("ed_toolbar");
	<?php
			edit_insert_button("lightbox JS", "wp_lightboxJS_handler", "Lightbox JS with Caption");
	?>

				var state_my_button = true;

				function wp_lightboxJS_handler()
				{
					if (state_my_button) {

						var myURL = prompt('<?php _e("Bitte URL des Originalbilds eingeben", "4null4.de"); ?>', 'http://');
						var myCaption = prompt('<?php _e("Bitte Caption des Bilds eingeben", "4null4.de"); ?>');
						var myIMG = prompt('<?php _e("Bitte URL des Thumbnails eingeben", "4null4.de"); ?>', 'http://');
						var myWidth = prompt('<?php _e("Bitte Image-Width des Thumbnails eingeben", "4null4.de"); ?>');
						var myHeight = prompt('<?php _e("Bitte Image-Height des Thumbnails eingeben", "4null4.de"); ?>');
						var myAlt = prompt('<?php _e("Bitte eine Kurzbeschreibung des Thumbnails eingeben", "4null4.de"); ?>');
						if (myURL && myIMG && myWidth && myHeight ) {

						myValue = '<a href="'+myURL+'" rel="lightbox" title="'+myCaption+'"><img src="'+myIMG+'" width="'+myWidth+'" height="'+myHeight+'" alt="'+myAlt+'" title="'+myAlt+'" /></a>';

						edInsertContent(edCanvas, myValue); }
					}
				}
			//-->
			</script>
	<?php
		}
	}

	if (!function_exists('edit_insert_button'))
	{
		//edit_insert_button: Inserts a button into the editor
		function edit_insert_button($caption, $js_onclick, $title = '')
		{
	?>
			if (toolbar)
			{
				var theButton = document.createElement('input');
				theButton.type = 'button';
				theButton.value = '<?php echo $caption; ?>';
				theButton.onclick = <?php echo $js_onclick; ?>;
				theButton.className = 'ed_button';
				theButton.title = "<?php echo $title; ?>";
				theButton.id = "<?php echo "ed_{$caption}"; ?>";
				toolbar.appendChild(theButton);
			}
	<?php
		}
	}

	function wp_lightbox_replace($the_content) {
	
		$preg = '/(<a(.*?)href="([^"]*.)(bmp|gif|jpeg|jpg|png)"(.*?)><img)/ie';
	  	$repl = '(strstr("\2\5","rel=") ? "\1" : "<a\2href=\"\3\4\"\5 rel=\"lightbox\"><img")';
		return preg_replace($preg,$repl,$the_content);
	
	}
	 
	add_action('wp_head', 'wp_lightboxJS');
	add_filter('admin_footer', 'wp_lightboxJS_add_quicktag');
	add_filter('the_content', 'wp_lightbox_replace');
}

// =====================================================
// END OF LIGHTBOX JS PLUGIN
// =====================================================
// BEGIN AJAX PAGED COMMENTS FUNCTIONS
// =====================================================

// returns true if paged comments are enabled for this post
function bb_paged_comments()
{
  $paged_comments = get_option('bb_enable_paged_comments');

  // paged comments only when viewing a single post or a single page
  if (!is_single() && !is_page()) return false;
	// has user chosen to view all comments?
	// if so, disable paged comments for this post
  if (!(strpos($_GET['cp'], 'all' ) === false)) return false;
  // is paging enabled for all posts?
  if ($paged_comments == 'paged') return true;
	// nothing matched, ergo false
  return false;
}

// Load paged comments template (function based on comments_template() in comment-functions.php).
//
function bb_paged_comments_template($file = '/comments.php')
{
	global $wp_query, $withcomments, $post, $wpdb, $id, $comment, $user_login, $user_ID, $user_identity;
	
	$commentsArePaged = bb_paged_comments();
	$commentsOrder = get_option('bb_paged_comments_order');
	$include = apply_filters('comments_template', TEMPLATEPATH . $file);
	if (!file_exists($include)) $include = ABSPATH.'wp-content/themes/default/comments.php';

	// revert to original comment template if:
	// + plugin is not enabled for this post/page
	// + the current context is inappropriate (e.g. post listing)
	// + template for paged comments does not exist
	if (!file_exists($include)) {
		echo 'Sorry, but I can\'t find the comments.php file - neither in the theme directory nor the default one!';
		return;
	}

	$req = get_settings('require_name_email');
	$comment_author = isset($_COOKIE['comment_author_'.COOKIEHASH]) ? trim(stripslashes($_COOKIE['comment_author_'.COOKIEHASH])) : '';
	$comment_author_email = isset($_COOKIE['comment_author_email_'.COOKIEHASH]) ? trim(stripslashes($_COOKIE['comment_author_email_'.COOKIEHASH])) : '';
	$comment_author_url = isset($_COOKIE['comment_author_url_'.COOKIEHASH]) ? trim(stripslashes($_COOKIE['comment_author_url_'.COOKIEHASH])) : '';

	if (empty($comment_author)) {
		$approved_condition = "comment_approved = '1'";
	} else {
		$author_db = addslashes($comment_author);
		$email_db  = addslashes($comment_author_email);
		$approved_condition = "(comment_approved = '1' OR (comment_author = '$author_db' AND comment_author_email = '$email_db' AND comment_approved = '0'))";
	}

	// SQL for paged comments
	$comment_count = (int)$wpdb->get_var('SELECT COUNT(*) FROM '.$wpdb->comments.' WHERE comment_post_ID = \''.$post->ID.'\' AND '.$approved_condition);
	$basicQuery = 'SELECT * FROM '.$wpdb->comments.' WHERE comment_post_ID = \''.$post->ID.'\' AND '.$approved_condition.' ORDER BY comment_date ';
	if ($commentsArePaged)
	{
		$pager = bb_pc_init_pager($comment_count);
		$limit_clause = implode(', ', bb_pc_sql_limit($pager));
		$fullCommentsQuery = $basicQuery . $commentsOrder.' LIMIT '.$limit_clause;
	} else {
		$fullCommentsQuery = $basicQuery;
	}
	$comments = $wpdb->get_results($fullCommentsQuery);
	// end SQL for paged comments

	// comment numbering
	$comment_number = ($commentsArePaged) ? ($pager->get_current_page() - 1) * $pager->get_items_per_page() : 0;
	if ($commentsArePaged && ($commentsOrder == 'DESC'))
	{
    $comment_mod = (($comment_count == $pager->get_items_per_page())||($comment_count % $pager->get_items_per_page() == 0)) ? $pager->get_items_per_page() : ($comment_count % $pager->get_items_per_page());
    $comment_number += $comment_mod;
    $comment_delta = -1;
	} else {
    $comment_number += 1;
    $comment_delta = 1;
	}

	get_currentuserinfo();

	define('COMMENTS_TEMPLATE', true);
	require($include);
}

// initialise pager
function bb_pc_init_pager($total_comments)
{
  $newpager = new Pager(get_option('bb_paged_comments_amount'), $total_comments);
  $pager =& $newpager;
  if (get_option('bb_paged_comments_order') == 'DESC')
  {
    $pager =& new InvertedPager($newpager);
  }
  // set page number
  $page = (int)@$_GET['cp'];
  if ($page > 0) $pager->set_current_page($page);
  return $pager;
}

// for mysql LIMIT clause (returns array with offset and limit)
function bb_pc_sql_limit($pager)
{
  $order = get_option('bb_paged_comments_order');
  $perPage = (int) get_option('bb_paged_comments_amount');
  $remainder = $pager->get_total_items() % $perPage;
  $offset = ($pager->isInverted) ?  ($pager->_invert_Page($pager->get_current_page()) - 1) * $perPage : ($pager->get_current_page() - 1) * $perPage;

  // alternate descending mode where the last page always contains a fixed number of comments
  if ($order == 'DESC') {
    return array($offset, $perPage);
  }
  // limit clause for comments in ascending order (or if total-comments multiple of comments-per-page)
  if (($order == 'ASC') || ($remainder == 0)) {
    return array($offset, $perPage);
  }
  // limit clause for comments in descending order (if we're on the last page)
  if ($pager->get_current_page() == $pager->num_pages()) {
    return array(0, $remainder);
  } else {
    return array($offset + $remainder - $perPage, $perPage);
  }
}

// Returns URL to comment $page with the $fragment appended.
// If $page is null the current comment page is used or a relative 
// URL (consisting of only the fragment) is returned.
function bb_pc_url($pager, $fragment = 'comments', $page = null)
{
	global $post;
	if (!isset($page) && (get_option('bb_paged_comments_order') == 'ASC' || isset($_GET['cp']))) return "#$fragment";
	if (!isset($page) && isset($pager))	$page = $pager->get_current_page();
	$id = $post->ID;
	$qparam = is_page() ? 'page_id' : 'p';

  if ((get_option('bb_paged_comments_fancyurl') == 0) && (get_settings('permalink_structure') != ''))
  {
    if ($page == 'all')
    {
      return rtrim(get_permalink(), '/')."/all-comments/#$fragment";
		} else {
			return rtrim(get_permalink(), '/')."/comment-page-$page/#$fragment";
		}
  } else {
		if ($page == 'all')
		{
	        return get_settings('siteurl').'/'.get_settings('blogfilename')."?$qparam=$id&amp;cp=all#$fragment";
		} else {
	        return get_settings('siteurl').'/'.get_settings('blogfilename')."?$qparam=$id&amp;cp=$page#$fragment";
		}
  }
}

// output page numbers
function bb_pc_pages($pager)
{
    global $post;
		$url = bb_pc_url($pager, 'comments', '%u');
		$allurl = bb_pc_url($pager, 'comments', 'all');
    $printer =& new PagePrinter($pager, $url, get_option('bb_paged_comments_range'));
    $left = '&laquo;';
    $right = '&raquo;';
    $older = __('&Auml;ltere Kommentare', '4null4.de');
    $newer = __('Neuere Kommentare', '4null4.de');
    $sep = ' ';
    $link_left = (get_option('bb_paged_comments_order') == 'ASC') ? $printer->get_prev_link($left, $older) : $printer->get_next_link($left, $newer);
		// left arrow link
    if (!empty($link_left)) echo $link_left, $sep;
		// page number links
    echo $printer->get_links($sep);
		// right arrow link
    $link_right = (get_option('bb_paged_comments_order') == 'ASC') ? $printer->get_next_link($right, $newer) : $printer->get_prev_link($right, $older);
    if (!empty($link_right)) echo $sep, $link_right;
    //if ($paged_comments->show_all_option) echo $sep, '(<a href="'.$allurl.'">Show All</a>)';
}

// The classes below are used to calculate page numbers and print pages numbers

/*****************************************
* Class: Pager 
* Originally by: Tsigo <tsigo@tsiris.com>
* Modified: Keyvan
* Redistribute as you see fit. 
*****************************************/
class Pager 
{
    /**
    * Items per page.
    *
    * This is used, along with <var>$item_total</var>, to calculate how many
    * pages are needed.
    * @var int
    */
    var $items_per_page;

    /**
    * Total number of items 
    *
    * This is used, along with <var>$items_per_page</var>, to calculate how many
    * pages are needed.
    * @var int
    */
    var $item_total;

    /**
    * Current page
    * @var int
    */
    var $current_page;
  
    /**
    * Number of pages needed
    * @var int
    */
    var $num_pages;

    /**
    * Constructor
    */
	function Pager($items_per_page, $item_total)
	{
        $this->items_per_page = $items_per_page;
        $this->item_total = $item_total;
        $this->num_pages = (int)ceil($this->item_total / $this->items_per_page);
        $this->set_current_page(1);
	}

    /**
    * Set current page number
    * @param int $page
    */
    function set_current_page($page)
    {
		$this->current_page = min($page, $this->num_pages());
		$this->current_page = max($this->current_page, 1);
    }

    /**
    * Get current page
    * @return int
    */
    function get_current_page()
    {
        return $this->current_page;
    }

    /**
    * Get items per page
    * @return int
    */
    function get_items_per_page()
    {
        return $this->items_per_page;
    }

    /**
    * Get total items
    * @return int
    */
    function get_total_items()
    {
        return $this->item_total;
    }
    
    /**
    * Number of pages needed
    * @return int
    */
    function num_pages() 
    {
        return $this->num_pages;
    }

    /**
    * Is last page
    * @return boolean
    */
    function is_last_page()
    {
        return ($this->get_current_page() == $this->num_pages());
    }

    /**
    * Is first page
    * @return boolean
    */
    function is_first_page()
    {
        return ($this->get_current_page() == 1);
    }

    /**
    * Get page numbers within range
    * @param int $page_range number of pages to display at one time, default: all pages
    * @return array
    */
    function get_page_numbers($page_range=null)
    {
        if (!isset($page_range)) {
            return range(1, $this->num_pages());
        } else {
            // set boundaries
            $pages = $this->num_pages();
            $range_halved = (int)floor($page_range / 2);
            $count_start = $this->current_page - $range_halved;
            $count_end = $this->current_page + $range_halved;

            // adjust boundaries
            while ($count_start < 1) {
                $count_start++;
                $count_end++;
            }
            while ($count_end > $pages) {
                $count_end--;
                $count_start--;
            }
            $count_start = max($count_start, 1);
            return range($count_start, $count_end);
        }
    }
}


// Implements the Pager interface but inverts numbers. (Decorator pattern)
class InvertedPager
{
    var $pager;
    var $isInverted = true;

    function InvertedPager(&$pager)
    {
        $this->pager =& $pager;
    }

    function _invert_page($page)
    {
        return $this->pager->num_pages() + 1 - $page;
    }

    /**
    * Set current page number
    * @param int $page
    */
    function set_current_page($page)
    {
		$this->pager->set_current_page($this->_invert_page($page));
    }

    /**
    * Get current page
    * @return int
    */
    function get_current_page()
    {
        return $this->_invert_page($this->pager->get_current_page());
    }

    /**
    * Get page numbers within range
    * @param int $page_range number of pages to display at one time, default: all pages
    * @return array
    */
    function get_page_numbers($page_range=null)
    {
        return array_map(array(&$this, '_invert_page'), $this->pager->get_page_numbers($page_range));
    }

    /**
    * Get items per page
    * @return int
    */
    function get_items_per_page()
    {
        return $this->pager->get_items_per_page();
    }
   
    /**
    * Get total items
    * @return int
    */
    function get_total_items()
    {
        return $this->pager->get_total_items();
    }

    /**
    * Number of pages needed
    * @return int
    */
    function num_pages() 
    {
        return $this->pager->num_pages();
    }

    /**
    * Is last page
    * @return boolean
    */
    function is_last_page()
    {
        return ($this->get_current_page() == $this->num_pages());
    }

    /**
    * Is first page
    * @return boolean
    */
    function is_first_page()
    {
        return ($this->get_current_page() == 1);
    }
}

// Prints page number links using a Pager instance
class PagePrinter
{
    var $pager;

    /**
    * URL formatting string for building page links
    *
    * This should be a formatting string which will be passed to sprintf()
    * (see: <http://uk.php.net/sprintf>), it should include 1 conversion 
    * specification: %u (to hold the page number)
    * @string
    */
    var $url;

    /**
    * Number of pages to show at one time
    * @var int
    */
    var $page_range;

    function PagePrinter(&$pager, $url='', $page_range=null)
    {
        $this->pager =& $pager;
        $this->set_page_range($page_range);
        $this->set_url($url);
    }

    function get_prev_link($text='&laquo;', $title='')
    {
    		global $post;
    		if (!$title)
    			$title = __('Vorherige Seite', '4null4.de');
        if ($this->pager->is_first_page()) return '';
        return '<a onClick="loadPagedComments('.$post->ID.','.($this->pager->get_current_page() - 1).');return false;" href="'.$this->get_url($this->pager->get_current_page() - 1).'" title="'.$title.'">'.$text.'</a>';
    }

    function get_next_link($text='&raquo;', $title='')
    {
    		global $post;
    		if (!$title)
    			$title = __('N&auml;chste Seite', '4null4.de');
        if ($this->pager->is_last_page()) return '';
        return '<a onClick="loadPagedComments('.$post->ID.','.($this->pager->get_current_page() + 1).');return false;" href="'.$this->get_url($this->pager->get_current_page() + 1).'" title="'.$title.'">'.$text.'</a>';
    }

    /**
    * Get page links
    * @return string HTML
    */
    function get_links($separator=' ', $pre_cur_page='<strong>[', $post_cur_page=']</strong>')
    {
        global $post;
        
        $pages = $this->pager->num_pages();
        $page_links  = ''; 
       
        // print page numbers
        $cur_page = $this->pager->get_current_page();
        $num_links = array();
        $page_numbers = $this->pager->get_page_numbers($this->page_range);
				$asc = ($page_numbers[0] < $page_numbers[1]);
        if( $asc ) {
            if( $page_numbers[0] != 1 ) {
                $num_links[] = '<a onClick="loadPagedComments('.$post->ID.',1);return false;" href="'.$this->get_url(1)."\">1</a> &#8230;"; 
            }
        } else {
            if( $page_numbers[0] != $this->pager->num_pages() ) {
                $num_links[] = '<a onClick="loadPagedComments('.$post->ID.','.$this->pager->num_pages().');return false;" href="'.$this->get_url($this->pager->num_pages())."\">".$this->pager->num_pages()."</a> &#8230;"; 
            }
        }
        foreach ( $page_numbers as $i) { 
            if ($i == $cur_page) { 
                $num_links[] = $pre_cur_page.$i.$post_cur_page; 
            } else { 
                $num_links[] = '<a onClick="loadPagedComments('.$post->ID.','.$i.');return false;" href="'.$this->get_url($i)."\">$i</a>"; 
            } 
        } 
        if( $asc ) {
            if( $page_numbers[count($page_numbers)-1] != $this->pager->num_pages() ) {
                $num_links[] = '&#8230; <a onClick="loadPagedComments('.$post->ID.','.$this->pager->num_pages().');return false;" href="'.$this->get_url($this->pager->num_pages())."\">".$this->pager->num_pages()."</a>"; 
            }
        } else {
            if( $page_numbers[count($page_numbers)-1] != 1 ) {
                $num_links[] = '&#8230; <a onClick="loadPagedComments('.$post->ID.',1);return false;" href="'.$this->get_url(1)."\">1</a>"; 
            }
        }
        $page_links .= implode($separator, $num_links);
        
        return $page_links; 
    }

    /**
    * Set page range
    * @param int $max
    */
    function set_page_range($max)
    {
        $this->page_range = $max;
    }

    /**
    * Set URL
    * @param string $url
    */
    function set_url($url)
    {
        $this->url = $url;
    }

    /**
    * Get formatted URL (including page number)
    * @param int $page page number
    * @return string
    */
    function get_url($page)
    {
        return sprintf($this->url, $page);
    }
}
// =====================================================
// END AJAX PAGED COMMENTS FUNCTIONS
// =====================================================
// BEGIN THEME CONFIGURATION
// =====================================================

function bb_info($show='')
{
	global $current;
	switch($show)
	{
		case 'version' :
    	$info = 'Beta '. $current;
    	break;
    case 'scheme' :
    	$scheme = get_option('bb_scheme');
    	if ($scheme == "")
    		$info = '/Default.css';
    	else
    		$info = '/schemes/' . $scheme . '.scheme.css';
    	break;
  }
  return $info;
}

function bb_update()
{
	global $current;
	update_option('bb_installed', $current, '','');

	if (!empty($_POST))
	{
		if (isset($_POST['bb_enable_paged_comments']))
		{
			$bb_enable_paged_comments = $_POST['bb_enable_paged_comments'];
			update_option('bb_enable_paged_comments', $bb_enable_paged_comments, '','');
		}
		if (isset($_POST['bb_paged_comments_order']))
		{
			$bb_paged_comments_order = $_POST['bb_paged_comments_order'];
			update_option('bb_paged_comments_order', $bb_paged_comments_order, '','');
		}
		if (isset($_POST['bb_paged_comments_amount']))
		{
			$bb_paged_comments_amount = $_POST['bb_paged_comments_amount'];
			update_option('bb_paged_comments_amount', $bb_paged_comments_amount, '','');
		}
		if (isset($_POST['bb_paged_comments_range']))
		{
			$bb_paged_comments_range = $_POST['bb_paged_comments_range'];
			update_option('bb_paged_comments_range', $bb_paged_comments_range, '','');
		}
		if (isset($_POST['bb_paged_comments_fancyurl']))
		{
			$bb_paged_comments_fancyurl = $_POST['bb_paged_comments_fancyurl'];
			update_option('bb_paged_comments_fancyurl', $bb_paged_comments_fancyurl, '','');
		}
		if (isset($_POST['schemeswitcher']))
		{
			$bb_schemeswitcher = $_POST['schemeswitcher'];
			update_option('bb_schemeswitcher', $bb_schemeswitcher, '','');
		}
		if (isset($_POST['bb_scheme_file']))
		{
			$bb_scheme_file = $_POST['bb_scheme_file'];
			update_option('bb_scheme', $bb_scheme_file, '','');
		}
		if (isset($_POST['livesearch']))
		{
			$search = $_POST['livesearch'];
			update_option('bb_livesearch', $search, '','');
		}
		if (isset($_POST['fullpingbacks']))
		{
			$fullpingbacks = $_POST['fullpingbacks'];
			update_option('bb_fullpingbacks', $fullpingbacks, '','');
		}
		if (isset($_POST['commentsubscription']))
		{
			$search = $_POST['commentsubscription'];
			update_option('bb_commentsubscription', $search, '','');
		}
		if (isset($_POST['nicetitle']))
		{
			$bb_nicetitle = $_POST['nicetitle'];
			update_option('bb_nicetitle', $bb_nicetitle, '','');
		}
		if (isset($_POST['ie7support']))
		{
			$ie7support = $_POST['ie7support'];
			update_option('bb_ie7support', $ie7support, '','');
		}
		if (isset($_POST['utwtechnoratitags']))
		{
			$utwtechnoratitags = $_POST['utwtechnoratitags'];
			update_option('bb_utwtechnoratitags', $utwtechnoratitags, '','');
		}
		if (isset($_POST['livecommenting']))
		{
			$commenting = $_POST['livecommenting'];
			update_option('bb_livecomments', $commenting, '','');
		}
		if (isset($_POST['singlecommenting']))
		{
			$singlecommenting = $_POST['singlecommenting'];
			update_option('bb_singlecommenting', $singlecommenting, '','');
		}
		if ( isset($_POST['bb_asidescat']) ) {
			$bb_asidescat = $_POST['bb_asidescat'];
			update_option('bb_asidescat', $bb_asidescat, '','');
		}
		if ( isset($_POST['bb_asidespos']) ) {
			$bb_asidesposition = $_POST['bb_asidespos'];
			update_option('bb_asidespos', $bb_asidesposition, '','');
		}
		if ( isset($_POST['bb_asidesnumber']) ) {
			$bb_asidesnumber = $_POST['bb_asidesnumber'];
			update_option('bb_asidesnumber', $bb_asidesnumber, '','');
		}
		if (isset($_POST['archives']))
		{
			$add = $_POST['archives'];
			update_option('bb_archives', $add, '','');
			create_archive();
		} else {
		// thanks to Michael Hampton, http://www.ioerror.us/ for the assist
			$remove = '';
			update_option('bb_archives', $remove, '','');
			delete_archive();
		}

		if (isset($_POST['configela']))
		{
			if (!setup_archive()) unset($_POST['configela']);
		}
	}
}

function bb_get_author_num()
{
	global $wpdb, $table_prefix;
	return $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->usermeta WHERE `meta_key` = '" . $table_prefix . "user_level' AND `meta_value` > 1");
}

function create_archive()
{
	global $wpdb, $user_ID;
	get_currentuserinfo();

	$check = $wpdb->query("SELECT * from $wpdb->posts WHERE post_title = 'Archives'");
	if (!$check)
	{
		$message = "Do not edit this page";
		$title_message = 'Archives';
		$content = apply_filters('content_save_pre', $message);
		$post_title = apply_filters('title_save_pre', $title_message);
		$now = current_time('mysql');
		$now_gmt = current_time('mysql', 1);
		$post_author = $user_ID;
		$id_result = $wpdb->get_row("SHOW TABLE STATUS LIKE '$wpdb->posts'");
		$post_ID = $id_result->Auto_increment;
		$post_name = sanitize_title($post_title, $post_ID);
		$ping_status = get_option('default_ping_status');
		$comment_status = get_option('default_comment_status');

		$postquery ="INSERT INTO $wpdb->posts
				(ID, post_author, post_date, post_date_gmt, post_content, post_title, post_excerpt,  post_status, comment_status, ping_status, post_password, post_name, to_ping, post_modified, post_modified_gmt, post_parent, menu_order)
				VALUES
				('$post_ID', '$post_author', '$now', '$now_gmt', '$content', '$post_title', '', 'static', '$comment_status', '$ping_status', '', '$post_name', '', '$now', '$now_gmt', '', '')";
		$result = $wpdb->query($postquery);
		$metaquery = "INSERT INTO $wpdb->postmeta(meta_id, post_id, meta_key, meta_value) VALUES('', '$post_ID', '_wp_page_template', 'page-archives.php')";
		$result2 = $wpdb->query($metaquery);
	}
}

function delete_archive()
{
	global $wpdb;
	$check = $wpdb->query("SELECT * from $wpdb->posts WHERE post_title = 'Archives'");
	if ($check)
	{
		$burninate = $wpdb->query("DELETE from $wpdb->posts WHERE post_title = 'Archives' and post_status = 'static'");
		$result = $wpdb->query($burninate);
	}
}

function setup_archive()
{
	global $wpdb;

	if (file_exists(ABSPATH . 'wp-content/plugins/UltimateTagWarrior/ultimate-tag-warrior-core.php') && in_array('UltimateTagWarrior/ultimate-tag-warrior.php', get_option('active_plugins'))) {
		$menu_order="chrono,tags,cats";
	} else {
		$menu_order="chrono,cats";
	}

	$initSettings = array(

	// we always set the character set from the blog settings
		'newest_first' => 0,
		'num_entries' => 1,
		'num_entries_tagged' => 0,
		'num_comments' => 1,
		'fade' => 1,
		'hide_pingbacks_and_trackbacks' => 1,
		'use_default_style' => 1,
		'paged_posts' => 1,
		'selected_text' => '',
		'selected_class' => 'selected',
		'comment_text' => '<span>%</span>',
		'number_text' => '<span>%</span>',
		'number_text_tagged' => '(%)',
		'closed_comment_text' => '<span>%</span>',
		'day_format' => 'jS',
		'error_class' => 'alert',
	// allow truncating of titles
		'truncate_title_length' => 0,
		'truncate_cat_length' => 25,
		'truncate_title_text' => '&#8230;',
		'truncate_title_at_space' => 1,
		'abbreviated_month' => 1,
		'tag_soup_cut' => 0,
		'tag_soup_X' => 0,
	// paged posts related stuff
		'paged_post_num' => 15,
		'paged_post_next' => 'next 15 posts &raquo;',
		'paged_post_prev' => '&laquo; previous 15 posts',
	// default text for the tab buttons
		'menu_order' => $menu_order,
		'menu_month' => 'Chronology',
		'menu_cat' => 'Taxonomy',
		'menu_tag' => 'Folksonomy',
		'before_child' => '&nbsp;&nbsp;&nbsp;',
		'after_child' => '',
		'loading_content' => '<img src="'.get_bloginfo('template_url').'/images/spinner.gif" class="elaload" alt="Spinner" />',
		'idle_content' => '',
		'excluded_categories' => '0');

	if (function_exists('af_ela_set_config'))
	{
		$ret = af_ela_set_config($initSettings);
	}
	return $ret;
}

// if Asides are configured to be shown in the sidebar, they must not be counted in the loop
// so we add the following filter - the following solution works only with MySQL 4.1, thus it is
// commented out
/*function bb_asidesfilter($where)
{
  global $wpdb;
  $bb_asides = get_option('bb_asidescat');
  $sidebar_asides = get_option('bb_asidespos');

  if (('0' != $bb_asides) && (is_home()) && ('sidebar' == $sidebar_asides))
  {
    return $where.' AND (ID NOT IN (SELECT post_ID FROM '.$wpdb->post2cat.' WHERE category_ID = '.$bb_asides.'))';
	} else {
    return $where;
  }
}*/

// if we can't find bb_installed lets go ahead and install all the options that run Binary Blue.  This should run only one more time for all our existing users, then they will just be getting the upgrade function if it exists.
if (!get_option('bb_installed'))
{
	add_option('bb_installed', $current, 'Information whether Binary Blue already has been installed', $autoload);
	add_option('bb_livesearch', '0', "If you don't trust JavaScript and Ajax, you can turn off LiveSearch. Otherwise I suggest you leave it on", $autoload); // (live & classic)
	add_option('bb_archives', '', 'Set whether bb has a Live Archive page', $autoload);
	add_option('bb_scheme', '4null4.de Basic', 'Choose the Scheme you want bb to use', $autoload);
	add_option('bb_commentsubscription', '1', 'Choose whether a comment must be entered to subscribe to comments', $autoload);
	add_option('bb_fullpingbacks', '0', 'Set whether to use verbose or short pingback display', $autoload);
	add_option('bb_nicetitle', '1', 'Set whether to use smart tooltips', $autoload);
	add_option('bb_ie7support', '1', 'Enhance MSIE CSS abilities with Dean Edwards IE7 script', $autoload);
	add_option('bb_utwtechnoratitags', '0', 'Define whether to show technorati tags for posts on startpage', $autoload);
	add_option('bb_livecomments', '0', "If you don't trust JavaScript and Ajax, you can turn off Live Commenting. Otherwise I suggest you leave it on", $autoload);
	add_option('bb_singlecommenting', '0', "Antispam countermeasure for livecomments functionality", $autoload);
	add_option('bb_asidescat', '0', 'A category which will be treated differently from other categories', $autoload);
	add_option('bb_asidespos', 'inline', 'Whether to use inline or sidebar asides', $autoload);
	add_option('bb_asidesnumber', '3', 'The number of Asides to show in the Sidebar. Default is 3.', $autoload);
	add_option('bb_enable_paged_comments', 'paged', 'Whether to enable AJAX paged comments or not', $autoload);
	add_option('bb_paged_comments_order', 'DESC', 'How to order the comments (ASC or DESC)', $autoload);
	add_option('bb_paged_comments_range', '5', 'How many pages +/- around the current one shall be directly selectable', $autoload);
	add_option('bb_paged_comments_amount', '10', 'How many comments per page should be displayed?', $autoload);
	add_option('bb_paged_comments_fancyurl', '0', 'Whether to use special urlrewrite rules for paged comments', $autoload);
} elseif (get_option('bb_installed') < $current) {
	/* Do something! */
	update_option('bb_installed', $current, '','');
}

$bb_loc = '../themes/' . basename(dirname($file));

// Let's add the options page.
add_action ('admin_menu', 'bb_menu');

function bb_menu() {
	add_submenu_page('themes.php', __('Binary Blue Optionen', '4null4.de'), __('Binary Blue Optionen', '4null4.de'), 5, $bb_loc . 'functions.php', 'menu');
}

function menu() {
	load_plugin_textdomain('4null4.de');
	//this begins the admin page
?>
<?php if (isset($_POST['configela'])) : ?>
	<div class="updated">
		<p><?php _e('ELA Optionen f&uuml;r Binary Blue wurden gesetzt', '4null4.de'); ?></p>
	</div>
<?php endif; ?>

<?php if (isset($_POST['Submit'])) : ?>
	<div class="updated">
		<p><?php _e('Binary Blue Optionen wurden aktualisiert', '4null4.de'); ?></p>
	</div>
<?php endif; ?>

<div class="wrap">
<h2><?php _e('Binary Blue Optionen', '4null4.de'); ?></h2>
<form name="dofollow" action="" method="post">
  <input type="hidden" name="action" value="<?php bb_update(); ?>" />
  <input type="hidden" name="page_options" value="'dofollow_timeout'" />

  <table width="100%" cellspacing="2" cellpadding="5" class="editform">
	  <colgroup>
	  	<col width="15%" />
	  	<col width="35%" />
	  	<col width="15%" />
	  	<col width="35%" />
	  </colgroup>
	  <tbody>
	  	<tr>
	  		<td  colspan="4"><h3><?php _e('Allgemeine Einstellungen', '4null4.de'); ?></h3></td>
	  	</tr>
	  	<tr valign="top">
				<th scope="row"><label for="bb_scheme_file"><?php _e('Binary Blue Scheme', '4null4.de'); ?></label></th>
				<td>
					<?php
					global $wpdb;
					$name = get_option('bb_scheme');
					if ($name != '')
					{
						$scheme_title = $name;
					} else {
						$scheme_title = __('Kein Schema', '4null4.de');
					}
					?>
					<select name="bb_scheme_file" id="bb_scheme_file">
						<option value="<?php echo get_option('bb_scheme'); ?>"><?php echo$scheme_title; ?></option>
						<option value="-----">-----</option>
						<option value=""><?php _e("Kein Schema", "4null4.de"); ?></option>
						<?php
						$scheme_dir = @ dir(ABSPATH . '/wp-content/themes/' . get_template() . '/schemes');
		
						if ($scheme_dir) {
							while(($file = $scheme_dir->read()) !== false) {
						  		if (!preg_match('|^\.+$|', $file) && preg_match('|\.scheme\.css$|', $file))
									$scheme_files[] = preg_replace('|\.scheme\.css$|', '', $file);
								}
							}
							if ($scheme_dir || $scheme_files) {
								foreach($scheme_files as $scheme_file) {
							 	echo '<option value="' . $scheme_file . '">' . $scheme_file . '</option>';
							}
						}
						?>
					</select>
					<p><small><?php _e("W&auml;hle dein bevorzugtes Farbschema f&uuml;r dein Blog.", "4null4.de"); ?></small></p>
				</td>
	
				<th scope="row"><?php _e('Scheme Switcher', '4null4.de'); ?></th>
				<td>
					<input name="schemeswitcher" id="schemeswitcher1" type="radio" value="0" <?php checked('0', get_option('bb_schemeswitcher')); ?> />
					<label for="schemeswitcher1"><?php _e('Scheme Switcher aktiv (Default)', '4null4.de') ?></label><br />
					<input name="schemeswitcher" id="schemeswitcher2" type="radio" value="1" <?php checked('1', get_option('bb_schemeswitcher')); ?> />
					<label for="schemeswitcher2"><?php _e('Scheme Switcher inaktiv', '4null4.de') ?></label>
					<p><small><?php _e("Der Scheme Switcher erm&ouml;glicht deinen Besuchern, das Aussehen deines Blogs aus den installierten Schemes auszuw&auml;hlen und damit deine Vorgabe zu &uuml;berschreiben.", "4null4.de"); ?></small></p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('/IE7/ Unterst&uuml;tzung', '4null4.de'); ?></th>
				<td>
					<input name="ie7support" id="ie7support1" type="radio" value="0" <?php checked('0', get_option('bb_ie7support')); ?> />
					<label for="ie7support1"><?php _e('/IE7/ aktiv', '4null4.de') ?></label><br />
					<input name="ie7support" id="ie7support2" type="radio" value="1" <?php checked('1', get_option('bb_ie7support')); ?> />
					<label for="ie7support2"><?php _e('/IE7/ inaktiv (Default)', '4null4.de') ?></label>
					<p><small><?php _e("/IE7/ ist eine Javascript-basierte L&ouml;sung von <a href=\"http://dean.edwards.name/IE7/\">Dean Edwards</a>, um MSIE6 einige Bugs auszutreiben.", "4null4.de"); ?> <a href="http://blog.bitflux.ch/wiki/LiveSearch"><?php _e("Willst du mehr dazu erfahren?", "4null4.de"); ?></a></small></p>
				</td>
				<th scope="row"><?php _e('SmartTooltip Support', '4null4.de'); ?></th>
				<td>
					<input name="nicetitle" id="nicetitle1" type="radio" value="0" <?php checked('0', get_option('bb_nicetitle')); ?> />
					<label for="nicetitle1"><?php _e('Smart Tooltips aktiv', '4null4.de') ?></label><br />
					<input name="nicetitle" id="nicetitle2" type="radio" value="1" <?php checked('1', get_option('bb_nicetitle')); ?> />
					<label for="nicetitle2"><?php _e('Smart Tooltips inaktiv (Default)', '4null4.de') ?></label>
					<p><small><?php _e("Smart Tooltips ersetzen die Tooltip-Funktion der Browser durch eine optisch angepasste Darstellung.", "4null4.de"); ?></small></p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Livesearch', '4null4.de'); ?></th>
				<td>
					<input name="livesearch" id="livesearch1" type="radio" value="0" <?php checked('0', get_option('bb_livesearch')); ?> />
					<label for="livesearch1"><?php _e('Livesearch aktiv (Default)', '4null4.de') ?></label><br />
					<input name="livesearch" id="livesearch2" type="radio" value="1" <?php checked('1', get_option('bb_livesearch')); ?> />
					<label for="livesearch2"><?php _e('Livesearch inaktiv', '4null4.de') ?></label>
					<p><small><?php _e("Livesearch ist eine Javascript-basierte Suche-w&auml;hrend-du-tippst-L&ouml;sung. Ist Javascript im Browser des Besuchers deaktiviert, funktioniert die Suche ganz normal (mit Laden der Suchergebnis-Seite).", "4null4.de"); ?> <a href="http://blog.bitflux.ch/wiki/LiveSearch"><?php _e("Willst du mehr dazu erfahren?", "4null4.de"); ?></a></small></p>
				</td>
				<td colspan="2">&nbsp;</td>
			</tr>
	
	  	<tr>
	  		<td  colspan="4"><h3><?php _e('Kommentareinstellungen', '4null4.de'); ?></h3></td>
	  	</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Live Comments', '4null4.de'); ?></th>
				<td>
					<input name="livecommenting" id="livecommenting1" type="radio" value="0" <?php checked('0', get_option('bb_livecomments')); ?> />
					<label for="livecommenting1"><?php _e('Live Comments aktiv (Default)', '4null4.de') ?></label><br />
					<input name="livecommenting" id="livecommenting2" type="radio" value="1" <?php checked('1', get_option('bb_livecomments')); ?> />
					<label for="livecommenting2"><?php _e('Live Comments inaktiv', '4null4.de') ?></label>
					<p><small><?php _e('Livecomments erm&ouml;glichen die direkte Anzeige eines abgesendeten Kommentars ohne Neuladen der Seite. Hierzu wird auf Javascript-Funktionen zur&uuml;ckgegriffen. Ist Javascript im Browser des Besuchers deaktiviert, funktioniert die Kommentarfunktion ganz normal (mit Neuladen der Seite).', '4null4.de'); ?></small></p>
				</td>
				<th scope="row"><?php _e('Single Comments', '4null4.de'); ?></th>
				<td>
					<input name="singlecommenting" id="singlecommenting1" type="radio" value="0" <?php checked('0', get_option('bb_singlecommenting')); ?> />
					<label for="singlecommenting1"><?php _e('Ein Kommentar pro Request (Default)', '4null4.de') ?></label><br />
					<input name="singlecommenting" id="singlecommenting2" type="radio" value="1" <?php checked('1', get_option('bb_singlecommenting')); ?> />
					<label for="singlecommenting2"><?php _e('Beliebig viele Kommentare', '4null4.de') ?></label>
					<p><small><?php _e('Per Default blendet sich das Kommentarformular nach einem erfolgreichen Post aus, wenn Live Comments eingeschaltet sind (Spamschutz).', '4null4.de'); ?></small></p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('AJAX Paged Comments', '4null4.de'); ?></th>
				<td>
					<input name="bb_enable_paged_comments" id="bb_enable_paged_comments1" type="radio" value="paged" <?php checked('paged', get_option('bb_enable_paged_comments')); ?> />
					<label for="bb_enable_paged_comments1"><?php _e('AJAX Paged Comments aktiv (Default)', '4null4.de') ?></label><br />
					<input name="bb_enable_paged_comments" id="bb_enable_paged_comments2" type="radio" value="simple" <?php checked('simple', get_option('bb_enable_paged_comments')); ?> />
					<label for="bb_enable_paged_comments2"><?php _e('AJAX Paged Comments inaktiv', '4null4.de') ?></label>
					<p><small><?php _e('Bei Aktivierung dieser Funktion werden Kommentare zu einem Post seitenweise ausgegeben. Mittels Javascript k&ouml;nnen die Kommenzarseiten ohne Neuladen der Seite durchb&auml;ttert werden. Bei deaktiviertem Javascript funktioniert das Bl&auml;ttern wie mit einem Paged-Comments-Plugin.', '4null4.de'); ?></small></p>
				</td>
				<th scope="row"><?php _e('Paged Comments Reihenfolge', '4null4.de'); ?></th>
				<td>
					<input name="bb_paged_comments_order" id="bb_paged_comments_order1" type="radio" value="DESC" <?php checked('DESC', get_option('bb_paged_comments_order')); ?> />
					<label for="bb_paged_comments_order1"><?php _e('Absteigend - neueste zuerst (Default)', '4null4.de') ?></label><br />
					<input name="bb_paged_comments_order" id="bb_paged_comments_order2" type="radio" value="ASC" <?php checked('ASC', get_option('bb_paged_comments_order')); ?> />
					<label for="bb_paged_comments_order2"><?php _e('Aufsteigend - &auml;lteste zuerst', '4null4.de') ?></label>
					<p><small><?php _e('Mit dieser Einstellung wird beeinflusst, ob die Kommentare in normaler oder in umgekehrter chronologischer Reihenfolge angezeigt werden sollen.', '4null4.de'); ?></small></p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Anzahl Kommentare pro Seite', '4null4.de'); ?></th>
				<td>
					<input name="bb_paged_comments_amount" id="bb_paged_comments_amount" type="text" value="<?php echo get_option('bb_paged_comments_amount'); ?>" size="2" />
					<p><small><?php _e('Setzt die Anzahl Kommentare, die je Kommentarseite angezeigt werden. Defaultwert ist zehn.', '4null4.de'); ?></small></p>
				</td>
				<th scope="row"><?php _e('Anzahl sichtbare Seiten', '4null4.de'); ?></th>
				<td>
					<input name="bb_paged_comments_range" id="bb_paged_comments_range" type="text" value="<?php echo get_option('bb_paged_comments_range'); ?>" size="2" />
					<p><small><?php _e('Setzt die Anzahl an Seitenzahlen, die direkt anw&auml;hlbar sind. Defaultwert ist f&uuml;nf.', '4null4.de'); ?></small></p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Paged Comments Fancy URLs', '4null4.de'); ?></th>
				<td>
					<input name="bb_paged_comments_fancyurl" id="bb_paged_comments_fancyurl1" type="radio" value="0" <?php checked('0', get_option('bb_paged_comments_fancyurl')); ?> />
					<label for="bb_paged_comments_fancyurl1"><?php _e('Fancy URLs eingeschaltet (Default)', '4null4.de') ?></label><br />
					<input name="bb_paged_comments_fancyurl" id="bb_paged_comments_fancyurl2" type="radio" value="1" <?php checked('1', get_option('bb_paged_comments_fancyurl')); ?> />
					<label for="bb_paged_comments_fancyurl2"><?php _e('Fancy URLs ausgeschaltet', '4null4.de') ?></label>
					<p><small><?php _e('Ist diese Einstellung aktiviert, wird die Permalink-Struktur um einen Zusatz f&uuml;r seitenweise Kommentardarstellung erg&auml;nzt.', '4null4.de'); ?></small></p>
				</td>
				<th scope="row"><?php _e('Pingback-Anzeige', '4null4.de'); ?></th>
				<td>
					<input name="fullpingbacks" id="fullpingbacks1" type="radio" value="0" <?php checked('0', get_option('bb_fullpingbacks')); ?> />
					<label for="fullpingbacks1"><?php _e('Ausf&uuml;hrliche Darstellung (Default)', '4null4.de') ?></label><br />
					<input name="fullpingbacks" id="fullpingbacks2" type="radio" value="1" <?php checked('1', get_option('bb_fullpingbacks')); ?> />
					<label for="fullpingbacks2"><?php _e('Kurze Darstellung', '4null4.de') ?></label>
					<p><small><?php _e("Die ausf&uuml;hrliche Darstellung zeigt Pingbacks und Trackbacks wie Kommentare an, die verk&uuml;rzte Darstellung zeigt sie als Liste von Links.", "4null4.de"); ?></small></p>
				</td>
			</tr>
			<?php if (function_exists('show_manual_subscription_form')) { ?>
			<tr valign="top">
				<th scope="row"><?php _e('Kommentar-Abo ohne Kommentar zulassen', '4null4.de'); ?></th>
				<td>
					<input name="commentsubscription" id="commentsubscription1" type="radio" value="0" <?php checked('0', get_option('bb_commentsubscription')); ?> />
					<label for="commentsubscription1"><?php _e("Abo zulassen", "4null4.de") ?></label><br />
					<input name="commentsubscription" id="commentsubscription2" type="radio" value="1" <?php checked('1', get_option('bb_commentsubscription')); ?> />
					<label for="commentsubscription2"><?php _e("Abo nicht zulassen (Default)", "4null4.de") ?></label>
					<p><small><?php _e("Definiere, ob Leser eines Artikels die Kommentare per Email abonnieren d&uuml;rfen, ohne selbst zu kommentieren.", "4null4.de"); ?> <?php _e('Voraussetzung: <a href="http://txfx.net/code/wordpress/subscribe-to-comments/" target="_blank">Subscribe-to-Comments-Plugin</a>', '4null4.de'); ?>
					</small></p>
				</td>
				<td colspan="2">&nbsp;</td>
			</tr>
			<?php } ?>

	  	<tr>
	  		<td  colspan="4"><h3><?php _e('Asides-Einstellungen', '4null4.de'); ?></h3></td>
	  	</tr>
			<tr valign="top">
				<th scope="row"><label for="bb_asidescat"><?php _e('Asides Kategorie', '4null4.de'); ?></label></th>
				<td>
					<?php
					global $wpdb;
					$id = get_option('bb_asidescat');
					if ($id != 0) {
						$asides_title = $wpdb->get_var('SELECT cat_name from '.$wpdb->categories.' WHERE cat_ID = '.$id);
					} else {
						$asides_title=__('Ohne Asides','4null4.de');
					}
					?>
					<select name="bb_asidescat" id="bb_asidescat" style="width: auto;">
					<option value="<?php echo get_option('bb_asidescat'); ?>"><?php echo $asides_title; ?></option>
					<option value="-----">----</option>
					<option value="0"><?php _e('Ohne Asides', '4null4.de'); ?></option>
					<?php
					$asides_cats = $wpdb->get_results('SELECT cat_ID, cat_name from '.$wpdb->categories);
					foreach ($asides_cats as $cat) {
						echo '<option value="' . $cat->cat_ID . '">' . $cat->cat_name . '</option>';
		      }
		      ?>
					</select>
					<p><small><?php _e('W&auml;hle eine Kategorie, die unter Verwendung von <a href="http://photomatt.net/2004/05/19/asides/">Matt\'s Asides Technique</a> als Aside eingesetzt werden soll', '4null4.de'); ?></small></p>
				</td>
				<th scope="row"><?php _e('Asides'); ?></th>
				<td>
					<input name="bb_asidespos" id="bb_asidespos1" type="radio" value="inline" <?php checked('inline', get_option('bb_asidespos')); ?> /> 
					<label for="bb_asidespos1"><?php _e('Inline Asides') ?></label><br />
					<input name="bb_asidespos" id="bb_asidespos2" type="radio" value="sidebar" <?php checked('sidebar', get_option('bb_asidespos')); ?> /> 
					<label for="bb_asidespos2"><?php _e('Sidebar Asides') ?></label>
					<p><small><?php _e('W&auml;hle, ob deine Asides (sofern aktiv) inline oder in der Sidebar angezeigt werden sollen.', '4null4.de'); ?></small></p>
				</td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Anzahl Asides', '4null4.de'); ?></th>
				<td>
					<input name="bb_asidesnumber" id="bb_asidesnumber" type="text" value="<?php echo get_option('bb_asidesnumber'); ?>" size="2" /> 
					<p><small><?php _e('Setzt die Anzahl Asides, die in der Sidebar angezeigt werden. Defaultwert ist drei.', '4null4.de'); ?></small></p>
				</td>
			<?php if (function_exists('UTW_ShowTagsForCurrentPost')) { ?>
				<th scope="row"><?php _e('Technoratitags f&uuml;r Posts anzeigen', '4null4.de'); ?></th>
				<td>
					<input name="utwtechnoratitags" id="classic" type="radio" value="0" <?php checked('0', get_option('bb_utwtechnoratitags')); ?> />
					<label for="utwtechnoratitags1"><?php _e("Technoratitags aktiv (Default)", "4null4.de") ?></label><br />
					<input name="utwtechnoratitags" id="live" type="radio" value="1" <?php checked('1', get_option('bb_utwtechnoratitags')); ?> />
					<label for="utwtechnoratitags2"><?php _e("Technoratitags inaktiv", "4null4.de") ?></label>
					<p><small><?php _e("Definiere, ob in der Artikel&uuml;bersicht Technoratitags unter den Artikeln angezeigt werden sollen (performancelastig).", "4null4.de"); ?></small></p>
				</td>
			<?php } else { ?>
				<td colspan="2">&nbsp;</td>
			<?php } ?>
			</tr>

	  	<tr>
	  		<td  colspan="4"><h3><?php _e('Archiveinstellungen', '4null4.de'); ?></h3></td>
	  	</tr>
			<tr valign="top">
				<th scope="row"><?php _e('Archiv-Seite', '4null4.de'); ?></th>
				<td>
					<input name="archives" id="add_archive" type="checkbox" value="add_archive" <?php checked('add_archive', get_option('bb_archives')); ?> />
					<label for="add_archive"><?php _e('Binary Blue Archiv-Seite aktivieren', '4null4.de') ?></label>
					<p><small><?php _e("Durch Aktivierung dieser Checkbox wird eine spezielle Archivseite eingerichtet, mit deren Hilfe dein Blog sehr komfortabel durchsucht werden kann.", "4null4.de"); ?></small></p>
				</td>
			<?php if (function_exists('af_ela_set_config')) { ?>
				<th scope="row"><?php _e('Extended Live Archive konfigurieren', '4null4.de'); ?></th>
				<td>
					<input name="configela" id="configela" type="submit" value="<?php _e('ELA f&uuml;r Binary Blue Archiv-Seite konfigurieren', '4null4.de') ?>" /><br /><br />
					<p><small><?php _e("Konfiguriere Arnaud's gro&szlig;artiges <a href=\"http://www.sonsofskadi.net/index.php/extended-live-archive/\" title=\"Information about ELA\">Extended Live Archives</a> f&uuml;r Binary Blue.", "4null4.de"); ?></small></p>
				</td>
			<?php } else { ?>
				<td colspan="2">&nbsp;</td>
			<?php }?>
			</tr>
		</tbody>
	</table>
	<p class="submit"><input type="submit" name="Submit" value="<?php _e('Einstellungen speichern', '4null4.de') ?> &raquo;" /></p>

</form>
</div>

<?php } // this ends the admin page
// =====================================================
// END OF THEME CONFIGURATION
// =====================================================
// the following filter requires MySQL 4.1, thus it is commented out
//add_filter('posts_where', 'bb_asidesfilter');
?>
